Bug 135547 - AX: AXSelectTextWithCriteriaParameterizedAttribute incorrectly selects the beginning letters of a word
Summary: AX: AXSelectTextWithCriteriaParameterizedAttribute incorrectly selects the be...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-08-02 23:16 PDT by chris fleizach
Modified: 2014-08-04 10:32 PDT (History)
5 users (show)

See Also:


Attachments
patch (8.09 KB, patch)
2014-08-03 21:05 PDT, chris fleizach
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2 (531.90 KB, application/zip)
2014-08-03 22:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-05 for mac-mountainlion (542.02 KB, application/zip)
2014-08-03 22:34 PDT, Build Bot
no flags Details
patch (7.63 KB, patch)
2014-08-03 22:55 PDT, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris fleizach 2014-08-02 23:16:33 PDT
1. Dictate the following in Notes or Mail: "The quick brown fox jumped over the lazy dog"
2. Say the command "Select jump"

* RESULTS
The letters "jump" are selected from the word "jumped."

* EXPECTED RESULTS
Nothing should be selected because subwords should never be selected.


<rdar://problem/17397375>
Comment 1 chris fleizach 2014-08-03 21:05:45 PDT
Created attachment 235958 [details]
patch
Comment 2 Build Bot 2014-08-03 22:15:19 PDT
Comment on attachment 235958 [details]
patch

Attachment 235958 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/4958699906924544

New failing tests:
editing/text-iterator/findString.html
editing/text-iterator/count-mark-simple-lines.html
editing/text-iterator/count-mark-lineboxes.html
Comment 3 Build Bot 2014-08-03 22:15:23 PDT
Created attachment 235959 [details]
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-09  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 4 Build Bot 2014-08-03 22:34:39 PDT
Comment on attachment 235958 [details]
patch

Attachment 235958 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5906044064628736

New failing tests:
editing/text-iterator/count-mark-simple-lines.html
editing/text-iterator/count-mark-lineboxes.html
Comment 5 Build Bot 2014-08-03 22:34:41 PDT
Created attachment 235961 [details]
Archive of layout-test-results from webkit-ews-05 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-05  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 6 chris fleizach 2014-08-03 22:55:03 PDT
Created attachment 235962 [details]
patch
Comment 7 WebKit Commit Bot 2014-08-04 10:32:40 PDT
Comment on attachment 235962 [details]
patch

Clearing flags on attachment: 235962

Committed r171996: <http://trac.webkit.org/changeset/171996>
Comment 8 WebKit Commit Bot 2014-08-04 10:32:43 PDT
All reviewed patches have been landed.  Closing bug.